This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 595885

Summary: Brightness management is buggy on ASUS UL30
Product: [Fedora] Fedora Reporter: Francesco Frassinelli (frafra) <fraph24>
Component: gnome-power-managerAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 18CC: florent.angly, herrold, j.zhong, richard
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-27 12:38:50 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
dmesg from 3.7.0rc8 (F18+rawhide kernel) none

Description Francesco Frassinelli (frafra) 2010-05-25 16:35:12 EDT
Description of problem:
When I try to set the screen brightness (using keyboard or using power management), the system seems set a "random" brightness after about ~30 seconds.

Version-Release number of selected component (if applicable):
Fedora 13 x86

How reproducible:
Try to set brightness on ASUS UL series.

Steps to Reproduce:
1. Try to set brightness on ASUS UL series.
  
Actual results:
You can't manage it.

Expected results:
Set the screen brightness correctly.
Comment 1 James 2010-06-02 05:17:23 EDT
I got the same problem on my laptop Asus UL20A with 64 bit Fedora 13.
Comment 2 James 2010-06-13 04:24:05 EDT
It seems bit strange like: i use Fn+F5 which should turn down the brigntness, it actually is under win7 and even before system boot up (in Asus laptop start up screen, which is an Asus logo in the middle of the screen). but when 64-bit Fedora 13 bootup, it is still keep the brightness settings until when gnome or KDE fully loaded. 

To be clearer, i set the brightness to 10% under win7, it is keeping 10% from laptop switching on to F13 log in screen. When I logged in, and the gnome or KDE are fully loaded, the brightness would be back to 100% automatically.

I found this bug is going cross almost all different kinds of laptops (recent models). I hope it can be solved soon cuz i can bear 100% brightness, that kills my eyes.
Comment 3 Florent Angly 2010-11-01 21:08:45 EDT
I am affected by this issue as well, on Asus U30Vt and Fedora 13 64 bit. Brightness cannot be changed. Supposedly, this workaround make it work:
http://forum.notebookreview.com/5665108-post1246.html
Comment 4 Bug Zapper 2011-06-02 09:31:31 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 12:38:50 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Francesco Frassinelli (frafra) 2012-07-16 12:06:12 EDT
This bug persists in F17.
Comment 7 Francesco Frassinelli (frafra) 2012-12-09 16:48:33 EST
This bug persists in F18...
Comment 8 Francesco Frassinelli (frafra) 2012-12-09 16:58:39 EST
I fixed using acpi_backlight=vendor on my ASUS UL30A
It works also with setpci -s 00:02.0 F4.B=2a # where 2a is an hex number between 00 and ff
Comment 9 Francesco Frassinelli (frafra) 2012-12-09 18:26:53 EST
Created attachment 660495 [details]
dmesg from 3.7.0rc8 (F18+rawhide kernel)

Kernel 3.7.0rc8 (from rawhide), Fedora 18 (up to date), KDE, latest BIOS installed, acpi_backlight=vendor used, stil having minor problems: little hangup when kde starts.

I've tried the latest testing kernel because of this: https://bugs.freedesktop.org/show_bug.cgi?id=45452